| ICM42688V eMD Driver 2.0.9 Documentation of the eMD Driver API

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
inv_icm426xx_apex_parameters Struct Reference
APEX driver

Icm426xx APEX inputs parameters definition. More...

`#include <Icm426xxDriver_HL_apex.h>`

## Public Attributes
ICM426XX_APEX_CONFIG2_PEDO_AMP_TH_t | pedo_amp_th
| Peak threshold value to be considered as a valid step (mg) More...
uint8_t | pedo_step_cnt_th
| Minimum number of steps that must be detected before the pedometer step count begins incrementing. More...
uint8_t | pedo_step_det_th
| Minimum number of low latency steps that must be detected before the pedometer step count begins incrementing. More...
ICM426XX_APEX_CONFIG3_PEDO_SB_TIMER_TH_t | pedo_sb_timer_th
| Duration of non-walk to exit the current walk mode, `pedo_step_cnt_th` number of steps must again be detected before step count starts to increase. More...
ICM426XX_APEX_CONFIG3_PEDO_HI_ENRGY_TH_t | pedo_hi_enrgy_th
| Threshold to improve run detection if not steps are counted while running. More...
ICM426XX_APEX_CONFIG4_TILT_WAIT_TIME_t | tilt_wait_time
| Number of accelerometer samples to wait before triggering tilt event. More...
ICM426XX_APEX_CONFIG1_DMP_POWER_SAVE_TIME_t | power_save_time
ICM426XX_APEX_CONFIG0_DMP_POWER_SAVE_t | power_save
| Power save mode for APEX algorithms. More...
ICM426XX_APEX_CONFIG9_SENSITIVITY_MODE_t | sensitivity_mode
| Sensitivity mode Normal(0) or Slow walk(1). More...
ICM426XX_APEX_CONFIG1_LOW_ENERGY_AMP_TH_t | low_energy_amp_th
| Peak threshold value to be considered as a valid step (mg) in Slow walk mode. More...

## Detailed Description

Icm426xx APEX inputs parameters definition.

## Member Data Documentation

## ◆ low_energy_amp_th

ICM426XX_APEX_CONFIG1_LOW_ENERGY_AMP_TH_t inv_icm426xx_apex_parameters::low_energy_amp_th

Peak threshold value to be considered as a valid step (mg) in Slow walk mode.

## ◆ pedo_amp_th

ICM426XX_APEX_CONFIG2_PEDO_AMP_TH_t inv_icm426xx_apex_parameters::pedo_amp_th

Peak threshold value to be considered as a valid step (mg)

## ◆ pedo_hi_enrgy_th

ICM426XX_APEX_CONFIG3_PEDO_HI_ENRGY_TH_t inv_icm426xx_apex_parameters::pedo_hi_enrgy_th

Threshold to improve run detection if not steps are counted while running.

## ◆ pedo_sb_timer_th

ICM426XX_APEX_CONFIG3_PEDO_SB_TIMER_TH_t inv_icm426xx_apex_parameters::pedo_sb_timer_th

Duration of non-walk to exit the current walk mode, `pedo_step_cnt_th` number of steps must again be detected before step count starts to increase.

## ◆ pedo_step_cnt_th

uint8_t inv_icm426xx_apex_parameters::pedo_step_cnt_th

Minimum number of steps that must be detected before the pedometer step count begins incrementing.

## ◆ pedo_step_det_th

uint8_t inv_icm426xx_apex_parameters::pedo_step_det_th

Minimum number of low latency steps that must be detected before the pedometer step count begins incrementing.

## ◆ power_save

ICM426XX_APEX_CONFIG0_DMP_POWER_SAVE_t inv_icm426xx_apex_parameters::power_save

Power save mode for APEX algorithms.

This mode will put APEX features into sleep mode, leaving only the WOM running to wake-up the DMP.

## ◆ power_save_time

ICM426XX_APEX_CONFIG1_DMP_POWER_SAVE_TIME_t inv_icm426xx_apex_parameters::power_save_time

## ◆ sensitivity_mode

ICM426XX_APEX_CONFIG9_SENSITIVITY_MODE_t inv_icm426xx_apex_parameters::sensitivity_mode

Sensitivity mode Normal(0) or Slow walk(1).

The Slow walk mode improve the slow walk detection (<1Hz) but in return the number of false detection might be increased.

## ◆ tilt_wait_time

ICM426XX_APEX_CONFIG4_TILT_WAIT_TIME_t inv_icm426xx_apex_parameters::tilt_wait_time

Number of accelerometer samples to wait before triggering tilt event.

The time after which DMP goes in power save mode according to the DMP ODR configured

The documentation for this struct was generated from the following file:

- Icm426xxDriver_HL_apex.h